@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@700&family=Roboto:wght@400;500;700&display=swap');

@font-face {
    font-family: 'Material Icons';
    font-style: normal;
    font-weight: 400;
    src: url(https://fonts.gstatic.com/s/materialicons/v115/flUhRq6tzZclQEJ-Vdg-IuiaDsNcIhQ8tQ.woff2) format('woff2');
}

.material-icons {
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    font-size: 24px;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    display: inline-block;
    vertical-align: middle;
    white-space: nowrap;
    direction: ltr;
    -webkit-font-feature-settings: 'liga';
    -webkit-font-smoothing: antialiased;
}

.material-icons-2 {
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    font-size: 300%;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    display: inline-block;
    vertical-align: middle;
    white-space: nowrap;
    direction: ltr;
    -webkit-font-feature-settings: 'liga';
    -webkit-font-smoothing: antialiased;
}

.material-icons-3 {
    float: right;
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    font-size: 24px;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    display: inline-block;
    vertical-align: middle;
    white-space: nowrap;
    direction: ltr;
    -webkit-font-feature-settings: 'liga';
    -webkit-font-smoothing: antialiased;
}

:root {
    --purple-base: #4B0092;
    --purple-40: #9366BE;
    --purple-70: #DBCCE9;
    --grey-base: #1A1A1A;
    --grey-40: #767676;
    --grey-70: #BABABA;
    --white: #FFFFFF;
}

main {
    padding-bottom: 80px;
}

body {
    overflow: scroll; /* Show scrollbars */
    min-height: 100%;
    padding: 0;
    margin-left: 15px;
    margin-right: 15px;
    font-family: 'Roboto', sans-serif;
    line-height: 20px;
}

.text-heading {
    font-size: 32px;
    font-weight: 700;
}

.text-title {
    font-size: 28px;
    font-weight: 500;
}

.text-subhead {
    font-size: 24px;
    font-weight: 500;
}

.text-body {
    font-size: 18px;
}

.helptext {
    font-size: 14px;
}

/* text body font-weight can be self-adjusted with style="font-weight: 400 or 500 or 700" */

/* primary button */
.btn {
    font-size: 18px;
}

.button-primary {
    border-radius: 5px;
    background-color: var(--purple-base);
    color: white;
    height: 40px;
}

.button-primary:focus,
.button-primary:hover {
    box-shadow: none;
    color: white;
}

/* secondary button */
.button-second {
    border-radius: 5px;
    background-color: var(--purple-40);
    color: white;
    height: 40px;
}

.button-second:focus,
.button-second:hover {
    background-color: var(--purple-base);
    box-shadow: none;
    color: white;
}

.btn-outline {
    color: var(--purple-base);
    border-color: var(--purple-base);
}

.btn-outline-secondary {
    color: var(--purple-40);
    border-color: var(--purple-40);
}

.btn-check:active+.btn-outline-secondary,
.btn-check:checked+.btn-outline-secondary,
.btn-outline-secondary.active,
.btn-outline-secondary.dropdown-toggle.show,
.btn-outline-secondary:active {
    color: #fff;
    background-color: var(--purple-40);
    border-color: var(--purple-40);

}

/* disabled button */
.button-disabled {
    border-radius: 5px;
    background-color: var(--white);
    border: solid 2px var(--purple-70);
    color: var(--purple-70);
    height: 40px;
    cursor: not-allowed;
    pointer-events: none;
}

/* navbar */

.navbar {
    box-shadow: 0px 1px 10px rgba(0, 0, 0, 0.25);
}

footer {
    position: sticky;
    z-index: 100;
    bottom: 0;
    width: 100%;
    overflow: hidden;
    height: 72px;
    text-align: center;
}


.menu {
    background-color: var(--purple-base);
    color: white;
    box-sizing: border-box;
}

input {
    width: 100%;
    height: 41px;
    border: var(--purple-40) 2px solid;
    border-radius: 5px;
    padding-left: 5px;
    font-size: 16px;
    margin: 5px 0 5px 0;
}

label {
    font-weight: 700;
    font-size: 20px;
}

.alert {
    background-color: var(--purple-70);
    border: solid 1px var(--purple-40);
    padding: 8px;
    margin-top: 10px;
}

.error {
    margin-bottom: 0;
}

/* Kevin test */
.full-w {
    width: 100%;
}

/* Footer Menu */
a.footer-button {
    padding: 0 0.8em;
    display: block;
    color: #fff !important;
    background: #4B0092;
    text-decoration: none;
    font-weight: bold;
    font-size: 16px;
    text-align: center;
    text-decoration: none !important;
    white-space: nowrap;
}

a.footer-button:before {
    display: inline-block;
    width: 100%;
    background-size: contain;
    vertical-align: middle;
}

a.footer-button:hover {
    background: #9366BE;
}

/* body setting */
.home-body {
    position: relative;
    top: 10vh;
    max-width: 100vw;
}

.home-body img,
.home-body video {
    max-width: 100%;
}

/* Dashboard */
#home_tweets {
    padding-left: 0;
    width: 100%;
    font-size: 20px;
}

.tweettime {
    font-size: 18px;
}

.tweettext {
    line-height: 28px;
}

.home_profile {
    display: flex;
}

.home_profile .home_profile_image {
    margin: 0;
    padding: 0;
    overflow: hidden;
    position: relative;
}

.home_profile .home_profile_NandR {
    
    color: var(--grey-base);
    font-weight: bold;
    margin: 0 0 0 10px;
    padding: 0;
}

.home_profile .home_profile_name {
    margin: 0;
    padding: 0;
    text-decoration: none;
    font-size: 24px;
}

a {
    text-decoration: none;
}

.home_profile .home_relatives {
    margin: 8px 0 0;
    padding: 0;
    font-size: 20px;
    color: #767676;
}

.home_profile_actual_image {
    width: 200px;
    height: 200px;
    border-radius: 50%;
}

ul {
    list-style-type: none
}

.btn-posts {
    text-align: center;
    font-size: 20px;
}

.btn-comment,
a.btn-comment {
    color: #fff;
    background-color: #4B0092;
    padding: 12px 12px;
    font-size: 20px;
}

.btn-comment:hover,
a.btn-comment:hover {
    color: #fff;
    background: #9366BE;
}

.btn-like,
a.btn-like {
    color: #4B0092;
    border: 1px solid #4B0092;
    padding: 12px 12px;
}

.btn-like:hover,
a.btn-like:hover {
    color: #9366BE;
    border: 1px solid #9366BE;
}

.btn-bookmark,
a.btn-bookmark {
    color: #4B0092;
    border: 1px solid #4B0092;
    padding: 12px 12px;
}

.btn-bookmark:hover,
a.btn-bookmark:hover {
    color: #9366BE;
    border: 1px solid #9366BE;
}

.btn-discard,
a.btn-discard {
    color: #4B0092;
    border: 1px solid #4B0092;
    padding: 12px 12px;
}

.btn-discard:hover,
a.btn-discard:hover {
    color: #9366BE;
    border: 1px solid #9366BE;
}

select {
    width: 100%;
    height: 41px;
    border: var(--purple-40) 2px solid;
    border-radius: 5px;
    padding-left: 5px;
    font-size: 16px;
    margin: 5px 0 5px 0;
}

/*changed like button*/
.red {
    color: red;
  }
.yellow {
    color: #FFDA00;
  }

.disable {
    pointer-events: none;
    cursor: default;
  }

/* Edit Avatar */
.Output {
    text-align: center!important;
}

input#id_avatar {
    padding: 5px 0 5px 5px;
}

/* help */
.material-icons{
    vertical-align: -6px;
}

.setting-btn-purple{
    color: #4B0092;
    font-size: 22px;
}

.texts {
    line-height: 24px;
}

.acd-check{
    display: none;
}
.acd-label{
    display: block;
    margin-bottom: 1px;
    padding: 10px;
    position: relative;
}
.acd-label:after{
    box-sizing: border-box;
    content: '\e5cf';
    display: block;
    font-family: "Material Icons";
    height: 52px;
    padding: 10px 20px;
    position: absolute;
    right: 0;
    top: 0px;
}
.acd-content{
    display: block;
    height: 0;
    opacity: 0;
    padding: 0 10px;
    transition: .5s;
    visibility: hidden;
}
.acd-check:checked + .acd-label:after{
    content: '\e5ce';
}
.acd-check:checked + .acd-label + .acd-content{
    height: 100%;
    opacity: 1;
    padding: 10px;
    visibility: visible;
}

.hr{
    background: var(--grey-70);
    position:relative;
    margin-top:-10px;
    height:1px;
    z-index:-1;
    }
    
.title{
    background:#ffffff;
    display:inline;
    padding-right:20px;
}

.menu{
    width: 100%;
}  
